Mac OS Snow Leopard - Cannot connect to debugged process in 10 seconds again

I've already posted 3 times about this problem here: http://www.jetbrains.net/devnet/message/5262456#5262456, but this discussion might be closed already due to 2 correct answers. I tried everything from that discussion - no luck. I'm having severe problems trying to debug in RubyMine on my Mac. NetBeans 6.8 works perfectly, but I hate to switch back to NetBeans, it is not nearly as cool as RubyMine 2.0.2!

screen-capture.png

Could you please help me resolve the issue...? I started thinking about re-installing the OS.

I will provide any additional information about my system.

3 comments

Hello Alex,

Which SDK do you use, which gems are installed?

0

Hello Roman,

Thank you for the quick response...

Java SDK I'm using is default Java installed with Mac OS 10.6.3 (Snow Leopard):
"java -version" gives me:
java version "1.6.0_17"
Java(TM) SE Runtime Environment (build 1.6.0_17-b04-248)
Java HotSpot(TM) 64-Bit Server VM (build 14.3-b01-101, mixed mode)

Ruby I've installed from MacPorts:
"ruby --version" gives me:
ruby 1.8.7 (2010-01-10 patchlevel 249) [i686-darwin10]


RubyGems Environment:
  - RUBYGEMS VERSION: 1.3.6
  - RUBY VERSION: 1.8.7 (2010-01-10 patchlevel 249) [i686-darwin10]
  - INSTALLATION DIRECTORY: /opt/local/lib/ruby/gems/1.8
  - RUBY EXECUTABLE: /opt/local/bin/ruby
  - EXECUTABLE DIRECTORY: /opt/local/bin
  - RUBYGEMS PLATFORMS:
    - ruby
    - x86-darwin-10
  - GEM PATHS:
     - /opt/local/lib/ruby/gems/1.8
     - /Users/aliaksandrkaushovik/.gem/ruby/1.8
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :benchmark => false
     - :backtrace => false
     - :bulk_threshold => 1000
  - REMOTE SOURCES:
     - http://rubygems.org/

"gem list" gives me:
*** LOCAL GEMS ***

actionmailer (2.3.5)
actionpack (2.3.5)
activerecord (2.3.5)
activeresource (2.3.5)
activesupport (2.3.5)
builder (2.1.2)
capistrano (2.5.18)
cgi_multipart_eof_fix (2.5.0)
daemons (1.0.10)
fastercsv (1.5.3)
fastthread (1.0.7)
ftpfxp (0.0.4)
gem_plugin (0.2.3)
highline (1.5.2)
httpclient (2.1.5.2)
linecache (0.43)
mocha (0.9.8)
mongrel (1.1.5)
mongrel_cluster (1.0.5)
mysql (2.8.1)
net-scp (1.0.2)
net-sftp (2.0.4)
net-ssh (2.0.22)
net-ssh-gateway (1.0.1)
polyglot (0.3.1)
rack (1.0.1)
rails (2.3.5)
rake (0.8.7)
RedCloth (4.2.3)
ruby-debug-base (0.10.3)
ruby-debug-ide (0.4.9)
ruby-prof (0.8.1)
soap4r (1.5.8)
sqlite3-ruby (1.3.0.beta.1)
thoughtbot-shoulda (2.10.2)
treetop (1.4.5)
tzinfo (0.3.20)
vpim (0.695)
will_paginate (2.3.12)
xml-simple (1.0.12)
zipruby (0.3.6)

All of the gems are installed into /opt/local/lib/ruby/gems/1.8, I tried installing ruby-debug-ide version 0.4.9 both manually and through RubyMine. I mostly use RubyMine 2.0.2, but I also tried the latest EAP from yesterday.

Please let me know if you need me to provide any extra information - will do so ASAP

Если надо что-то обсудить, то могу позвонить - пишите в личку номер телефона. Живу в Salt Lake City (GMT -7), так что разница во времени с Москвой (GMT +3) - 10 часов.

Thank you,
Alex (Саша).

0

Alex,
Let's move discussion back to RubyMine forum, http://www.jetbrains.net/devnet/message/5263110#5263110. I've answered you there.

0

Please sign in to leave a comment.